<template>
   <div class="p-2 w-100">
        <v-card class="w-100">
                  <v-toolbar color="white custom-top" flat>
          <v-btn class="btn-return" icon light to="/patients/">
            <v-icon  color="grey darken-2">mdi-arrow-left</v-icon>
          </v-btn>

          <v-toolbar-title class="grey--text text--darken-4">
              <span >
                 Détails du patient 
              </span>
          </v-toolbar-title>

          <v-spacer></v-spacer>
          <v-menu bottom >
            <template v-slot:activator="{ on, attrs }">
              <v-btn
                color="grey"
                class="text-center"
                icon
                v-bind="attrs"
                v-on="on"
              >
                <v-icon left>mdi-dots-vertical</v-icon>
              </v-btn>
            </template>
            <v-list flat>
              <v-subheader>PLUS D'ACTIONS</v-subheader>
              <v-list-item
                v-for="(item, i) in items"
                :key="i"              >
                          <v-list-item-icon>
            <v-icon v-text="item.icon"> mdi-printer</v-icon>
          </v-list-item-icon>
                <v-list-item-title>{{ item.title }}</v-list-item-title>
              </v-list-item>
            </v-list>
          </v-menu>

        </v-toolbar>
        <v-row class="pl-1 pr-1">
              <v-col cols="12" sm="12" md="12">
                <v-simple-table>
                  <template v-slot:default>
                    <tbody>
                      <tr>
                        <td><strong>Nom(s)</strong></td>
                        <td>{{ patient.lastname}}</td>
                        <td><strong>Prénom(s)</strong></td>
                        <td>{{ patient.firstname}}</td>
                      </tr>
                      <tr>
                        <td><strong>Date de naissance</strong></td>
                        <td>{{ patient.birthdate | toDate }}</td>
                        <td><strong>Contact</strong></td>
                        <td>{{ patient.phone_number}}</td>
                      </tr>
                    </tbody>
                  </template>
                </v-simple-table>
             </v-col>
              <v-col cols="12" sm="6" md="6">
                <v-simple-table>
                  <template v-slot:default>
                    <tbody>
                          
                    </tbody>
                  </template>
                </v-simple-table>
             </v-col>
        </v-row>
        <v-divider class="mt-0 mb-0"></v-divider>

            <v-card-actions>
      <v-list-item class="">
        <v-list-item-content>
          <v-list-item-title> 
            <v-icon class="mr-1">mdi-user</v-icon><strong>Enregistré par :</strong></v-list-item-title>
        </v-list-item-content>

        <v-row
          align="center"
          justify="end"
        >
          <v-icon class="mr-1">mdi-calendar</v-icon>
          <span class="subheading mr-2">{{patient.created_at | toDateTime  }}</span>
        </v-row>
      </v-list-item>
    </v-card-actions>
        </v-card>
                <div class="base-title mt-2">
                  <v-toolbar color="white custom-top" flat>
                    <v-icon  color="grey darken-4" class="grey--text text--darken-4">mdi-file</v-icon>
          <v-toolbar-title class="grey--text text--darken-5">
              <span > 
                 {{patient.demands.length >1  ? "Demandes" : "Demande"}} ({{patient.demands.length}})
              </span>
          </v-toolbar-title>
        </v-toolbar>
           <div class="row">
            <v-col cols="12" sm="6" md="6"  v-for=" demand in patient.demands" :key="demand.id">
                 <demand-item :entity="demand"></demand-item>
            </v-col>
           </div>
        </div>
   </div>
</template>

<script>
import { mapGetters } from 'vuex'
import { mapState } from 'vuex'
  import DemandItem from './../demandes/DemandItem'


  export default {

    data () {
      return {
                    items: [
        { title: 'Ajouter une insurance',icon:'mdi-file-cancel-outline' },
        { title: 'Supprimer le client',icon:'mdi-printer' },
      ],
        search: '',
        dem:''
    }},
    computed: {
        ...mapGetters({ moreExists:'patients/moreExists',patient:"patients/patient"}),
        // ...mapState({ }),
    },
    created () {

          this.$store.dispatch('patients/getPatient',this.$route.params.id)
          //this.fetch()
    },
    components :{
        DemandItem
    }
  }
</script>
